H-Sphere Linux/FreeBSD Packages Perl Updates

 

08 Jan 2008
hsphere-perl-1-12

Released with H-Sphere System Packages Update

 

20 Jun 2007
hsphere-perl-1-11

  • Fixed build inconsistencies for Geo-IP-1.27 perl module (Required by AWStat, optionally).
  • IO-Compress-Base-2.004 (Required by SA 3.2.1).
  • Compress-Raw-Zlib-2.004 (Required by SA 3.2.1).
  • IO-Compress-Zlib-2.004 (Required by SA 3.2.1).

Released with H-Sphere System Packages Update and H-Sphere 3.0 Patch 2

 

22 May 2007
hsphere-perl-1-10

Fixes and improvements:

  • Updated a set of supported CPAN modules:
    • Archive-Tar-Wrapper-0.08
    • Archive-Zip-1.18
    • Compress-Zlib-2.004
    • Crypt-OpenSSL-RSA-0.24
    • DBD-mysql-4.004
    • DBI-1.55
    •   
    • DB_File-1.815
    • HTML-Parser-3.56
    • Net-DNS-0.59
    • Log-Log4perl-1.10
    • Mail-DomainKeys-1.0
    • MailTools-1.76
    •   
    • IO-Interface-1.03
    • IO-Socket-SSL-1.06
    • IO-Zlib-1.05
    • IP-Country-2.23
    • Scalar-List-Utils-1.19
    • Storable-2.16
    •   
    • Test-Simple-0.70
    • Time-HiRes-1.9707
    • XML-SAX-0.15
    • XML-Simple-2.16
  • Added new CPAN perl modules:
    • Encode-Detect-1.00 (Required by SpamAssassin 3.2.0, optionally)
    • Data-Dump-1.08 (Required by SpamAssassin 3.2.0, optionally)
    • Geo-IP-1.27 (Required by AWStat, optionally)
    • Mail-DKIM-0.24 (Required by SpamAssassin 3.2.0, optionally)
  • Included /hsphere/shared/bin/geoipupdate utility, which provides periodic commercial GeoIP.dat db update, if needed

Released with H-Sphere System Packages Update

 

16 Nov 2006
hsphere-perl-1-9

Fixes and improvements:

  • Archive-Tar-1.30 perl module added (required by sa-update script)
  • Removed provide list

Released with H-Sphere System Packages Update

 

29 Aug 2006
hsphere-perl-1-8

Fixes and improvements:

  • Updated to the latest versions all Perl modules used in H-Sphere

Released with H-Sphere System Packages Update

 

25 Apr 2006
hsphere-perl-1-7

New modules needed by hsphere-webshell-4.3.5-1 added:

  • Filesys-DiskUsage-0.04

 

 
hsphere-perl-1-6

This update supports new Perl version and adds the following modules:

  • Compress-Zlib-1.41
  • IO-Zlib-1.04
  • IPC-Run-0.79
  • Log-Log4perl-1.04
  • Archive-Rar-1.9
  • Archive-Zip-1.16
  • Archive-Tar-Wrapper-0.06

 

13 March 2006
hsphere-perl-1-5

Added support for new Perl 5.8.8 version and added the following new modules:

  • XML-NamespaceSupport-1.09
  • XML-SAX-0.13
  • XML-Simple-2.14

 

19 Jan 2006
hsphere-perl-1-4

Improvements and Fixes:

  • includes all the perl modules used in H-Sphere
  • modules included are built for 2 perl versions:
      - native OS perl version
      - latest stable perl version (v. 5.8.7)
  • includes the hspmod.switch utility to change versions of Perl modules, when Perl version is updated or downgraded.



See Also:

Packages Since 2.5
H-Sphere Perl Modules



Copyright 1998-2008. Positive Software Corporation.
All rights reserved.